Opened 14 years ago

Closed 14 years ago

Last modified 14 years ago

#153 closed defect (invalid)

Mismatched versions in stable release

Reported by: chuck_chapman@… Owned by: Isaac Richards
Priority: minor Milestone: unknown
Component: mythtv Version:
Severity: low Keywords:
Cc: Ticket locked: no

Description

The versions of MythTV (0.18.1.20050523-1) and the MythTV plugins (0.18.1.20050510-1) in the stable release mentioned on your home page are different from each other so they won't play together.

Change History (6)

comment:1 Changed 14 years ago by Isaac Richards

Resolution: invalid
Status: newclosed

What are you talking about? There are no such versions of mythtv or the plugins mentioned on the mythtv website.

comment:2 Changed 14 years ago by chuck_chapman@…

Resolution: invalid
Status: closedreopened

I didn't mean the version numbers themselves were mentioned on the website -- but on your main page it says:

"If you'd like to get the stable 0.18.2 branch, do this instead:..." blah, blah, blah

If you use the commands specifed there and grab that snapshot of MythTV and its plugins, the versions of MythTV and its plugins don't match. If you get into MythTV and try to run, say, MythWeather?, it complains about libmyth having version 0.18.1.20050523-1 and MythWeather? having version 0.18.1.2005-523-1. Is there a workaround to force MythTV to ignore version numbers??? If not, I'll have to go back to the "official" 0.18.1 release.

comment:3 Changed 14 years ago by chuck_chapman@…

Ooops...I meant to say it says MythWeather? has version 0.18.1.20050510-1, which still doesn't match 0.18.1.20050523-1...

comment:4 Changed 14 years ago by Isaac Richards

Resolution: invalid
Status: reopenedclosed

That's due to how you compiled things, not anything in myth. You have to recompile everything at the same time if you want matching version numbers.

Go ask for help on the users lists, but this is user error, not a bug.

comment:5 Changed 14 years ago by chuck_chapman@…

I grabbed both MythTV and its pluggins at the same time and compiled them both at the same time (well, one right after the other) then make installed them one right after the other. Guess I'll have to find the version numbers and hack them myself...oh well.

comment:6 Changed 14 years ago by anonymous

No you didn't. At least not correctly.

Note: See TracTickets for help on using tickets.